Skip to main content
PUT
https://{tenantDomain}/api/v2
/
rules-configs
/
{key}
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.SetRulesConfigRequestContent{
        Value: "value",
    }
    client.RulesConfigs.Set(
        context.TODO(),
        "key",
        request,
    )
}
{
  "key": "MY_RULES_CONFIG_KEY",
  "value": "MY_RULES_CONFIG_VALUE"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

key
string
required

Key of the rules config variable to set (max length: 127 characters).

Required string length: 1 - 127

Body

value
string
default:MY_RULES_CONFIG_VALUE
required

Value for a rules config variable.

Response

Rules config variable successfully set.

key
string
default:MY_RULES_CONFIG_KEY
required

Key for a rules config variable.

Required string length: 1 - 127
Pattern: ^[A-Za-z0-9_\-@*+:]*$
value
string
default:MY_RULES_CONFIG_VALUE
required

Value for a rules config variable.